//
//  Barcode_MobileAppDelegate.m
//  Barcode Mobile
//
//  Created by Aaron Wright on 4/16/12.
//  Copyright (c) 2012 A.C. Wright Design. All rights reserved.
//

#import "Barcode_MobileAppDelegate.h"

@implementation Barcode_MobileAppDelegate

@synthesize window = _window;
@synthesize masterViewController = _masterViewController;
@synthesize detailViewController = _detailViewController;

# pragma mark -
# pragma mark actions

- (void)toggle:(id)sender {
    UISplitViewController *splitViewController = (UISplitViewController *)self.window.rootViewController;
    
    if ( [_window.subviews containsObject:splitViewController.view] ) {
        
        [splitViewController.view removeFromSuperview];
        
        splitViewController.viewControllers = [NSArray arrayWithObjects:_masterViewController, _masterViewController, nil];
        
        [_window addSubview:_detailViewController.view];
        
        [(UIBarButtonItem *)sender setTitle:@"Show"];
    } else {
        
        [_detailViewController.view removeFromSuperview];
        [_detailViewController.view setTransform:CGAffineTransformIdentity];
        
        splitViewController.viewControllers = [NSArray arrayWithObjects:_masterViewController, _detailViewController, nil];
        
        [_window addSubview:splitViewController.view];
        [_detailViewController.view sizeToFit];
        
        [(UIBarButtonItem *)sender setTitle:@"Hide"];
    }
}

- (void)save:(id)sender {
    [[Barcode_MobilePersistenceManager defaultManager] save:sender];
}

# pragma mark -
# pragma mark NSApplicationDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    UISplitViewController *splitViewController = (UISplitViewController *)self.window.rootViewController;
    
    [self setMasterViewController:[[splitViewController viewControllers] objectAtIndex:0]];
    [self setDetailViewController:[[splitViewController viewControllers] objectAtIndex:1]];
    
    [splitViewController setDelegate:_detailViewController];
    
    NSManagedObjectContext *context = [[Barcode_MobilePersistenceManager defaultManager] managedObjectContext];
    
    [_detailViewController setManagedObjectContext:context];
    [(Barcode_MobileBarcodeTableViewController *)[(UINavigationController *)_masterViewController topViewController] setManagedObjectContext:context];
    
    return YES;
}

- (void)applicationWillTerminate:(UIApplication *)application {
    [self save:self];
}

@end
