//
//  Barcode_MobileBarcode.m
//  Barcode Mobile
//
//  Created by Aaron Wright on 5/29/12.
//  Copyright (c) 2012 A.C. Wright Design. All rights reserved.
//

#import "Barcode_MobileBarcode.h"

@implementation Barcode_MobileBarcode

@dynamic alpha;
@dynamic data;
@dynamic barHeight;
@dynamic barWidth;
@dynamic captioned;
@dynamic color;
@dynamic captionHeight;
@dynamic captionSize;
@dynamic symbology;
@dynamic title;

# pragma mark awake

- (void)awakeFromInsert {
    [super awakeFromInsert];
    
    [self setAlpha:[NSNumber numberWithFloat:1.0]];
    [self setBarHeight:[NSNumber numberWithInt:1000]];
    [self setBarWidth:[NSNumber numberWithInt:20]];
    [self setCaptioned:YES];
    [self setColor:[[UIColor blackColor] hexadecimalValue]];
    [self setData:@"0123456789"];
    [self setCaptionHeight:[NSNumber numberWithFloat:180]];
    [self setCaptionSize:[NSNumber numberWithFloat:167]];
    [self setSymbology:@"Codabar"];
    [self setTitle:@"Untitled"];
}

# pragma mark validate

-(BOOL)validateBarHeight:(id *)ioValue error:(NSError **)outError {
    if (*ioValue == nil) {
        *ioValue = [NSNumber numberWithInt:0];
    }
    return YES;
}

-(BOOL)validateBarWidth:(id *)ioValue error:(NSError **)outError {
    if (*ioValue == nil) {
        *ioValue = [NSNumber numberWithInt:0];
    }
    return YES;
}

-(BOOL)validateFontSize:(id *)ioValue error:(NSError **)outError {
    if (*ioValue == nil) {
        *ioValue = [NSNumber numberWithInt:0];
    }
    return YES;
}

-(BOOL)validateAlpha:(id *)ioValue error:(NSError **)outError {
    if (*ioValue == nil) {
        *ioValue = [NSNumber numberWithInt:0];
    }
    return YES;
}


@end
