//
//  Barcode_MobileBarcodeViewController.h
//  Barcode Mobile
//
//  Created by Aaron Wright on 5/2/12.
//  Copyright (c) 2012 A.C. Wright Design. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <Twitter/Twitter.h>
#import <MessageUI/MessageUI.h>
#import "BarcodeKit.h"
#import "Barcode_MobileBarcodeTableViewController.h"
#import "Barcode_MobileInfoTableViewController.h"
#import "Barcode_MobileBarcodeView.h"
#import "Barcode_MobileBarcode.h"
#import "UIColor+Hex.h"

@interface Barcode_MobileBarcodeViewController : UIViewController <UISplitViewControllerDelegate, UIActionSheetDelegate, MFMailComposeViewControllerDelegate, UIPrintInteractionControllerDelegate>

@property (nonatomic, strong) NSManagedObjectContext *managedObjectContext;
@property (nonatomic, strong) IBOutlet Barcode_MobileBarcodeView *barcodeView;
@property (nonatomic, strong) IBOutlet UIToolbar *toolbar;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *toggleButton;
@property (nonatomic, strong) IBOutlet UIBarButtonItem *infoButton;
@property (nonatomic, strong) IBOutlet UIBarButtonItem *actionButton;
@property (nonatomic, strong) Barcode_MobileBarcode *barcode;
@property (nonatomic, strong) UIActionSheet *actionSheet;
@property (nonatomic, strong) UIPrintInteractionController *printInteractionController;
@property (nonatomic, weak) UIPopoverController *infoPopover;

- (IBAction)update:(id)sender;
- (IBAction)toggle:(id)sender;
- (IBAction)action:(id)sender;
- (IBAction)email:(id)sender;
- (IBAction)tweet:(id)sender;
- (IBAction)print:(id)sender;
- (IBAction)showInfoPopover:(id)sender;
- (void)receiveBarcodeTableViewDidChangeSelectionNotification:(NSNotification *)notification;

@end
