//
//  Barcode_MobileSymbologyViewController.m
//  Barcode Mobile
//
//  Created by Aaron Wright on 5/29/12.
//  Copyright (c) 2012 A.C. Wright Design. All rights reserved.
//

#import "Barcode_MobileSymbologyViewController.h"

@implementation Barcode_MobileSymbologyViewController

@synthesize barcode = _barcode;
@synthesize picker = _picker;

# pragma mark -
# pragma mark view

- (void)viewDidAppear:(BOOL)animated {
    [super viewDidAppear:animated];
    
    for (int i = 0; i < [[BarcodeKitBarcodeManager symbologies] count]; i++) {
        if ([[[[BarcodeKitBarcodeManager symbologies] allKeys] objectAtIndex:i] isEqualToString:[_barcode symbology]]) {
            [_picker selectRow:i inComponent:0 animated:NO];
        }
    }
}

# pragma mark -
# pragma mark UIPickerViewDelegate

- (NSString *)pickerView:(UIPickerView *)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component {
    NSArray *sortedSymbolgies = [[[BarcodeKitBarcodeManager symbologies] allKeys] sortedArrayUsingSelector: @selector(compare:)];
    return [sortedSymbolgies objectAtIndex:row];
}

- (void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row inComponent:(NSInteger)component {
    NSArray *sortedSymbolgies = [[[BarcodeKitBarcodeManager symbologies] allKeys] sortedArrayUsingSelector: @selector(compare:)];
    NSString *symbology = [sortedSymbolgies objectAtIndex:row];
    [_barcode setSymbology:symbology];
}

# pragma mark -
# pragma mark UIPickerViewDataSource

- (NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView {
    return 1;
}

- (NSInteger)pickerView:(UIPickerView *)pickerView numberOfRowsInComponent:(NSInteger)component {
    return [[[BarcodeKitBarcodeManager symbologies] allKeys] count];
}

@end
